<?php
    include($_SERVER['DOCUMENT_ROOT'] . "/" . $this->basePath() . '/public/barcodecoy/qrlib.php');
    
    $PNG_TEMP_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . 
                    $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' .
                    $data['t_idtransaksi'] . '/';

    $PNG_WEB_DIR = $_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . 
                    $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' .
                    $data['t_idtransaksi'] . '/';
    
    if (!file_exists($PNG_TEMP_DIR)) {
        mkdir($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' . $data['t_idtransaksi'] . '/', 0777, true);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/', 0777);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'] . '/', 0777);
        chmod($_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'] .'/' . $data['t_idtransaksi']  . '/', 0777);
    }
    
    $errorCorrectionLevel = 'L';
    $matrixPointSize = 3;
    $barcode = $data['t_kodebayarskpdkbt'];
    
    $filename = $PNG_TEMP_DIR . '' . $data['t_idjenisobjek'] . '_' . $data['t_periodepajak']. '_' . $data['t_idtransaksi'] . '_' . md5($barcode . '|' . $errorCorrectionLevel . '|' . $matrixPointSize) . '.png';
    QRcode::png($barcode, $filename, $errorCorrectionLevel, $matrixPointSize, 2);
    
    $tampilbarcode = '<img src="'.$_SERVER['DOCUMENT_ROOT'] . '/' . $this->basePath() . '/public/img_barcode/' . $data['t_idjenisobjek'] . '/'.$data['t_periodepajak'].'/' . $data['t_idtransaksi'] .'/' . basename($filename) . '" />';
?>
<html>
    <head>
        <style type="text/css">
            .border_atas {
                border-top: 1px solid black;
                border-collapse: collapse;
            }

            .border_kiri {
                border-left: 1px solid black;
                border-collapse: collapse;
            }

            .border_kanan {
                border-right: 1px solid black;
                border-collapse: collapse;
            }

            .border_bawah {
                border-bottom: 1px solid black;
                border-collapse: collapse;
            }

            .font_besar {
                font-size: 12pt;
            }

            .font_kecil {
                font-size: 10pt;
            }

            .font_lima {
                font-size: 7pt;
            }

            .font_tujuh {
                font-size: 7pt;
            }  

            .font_delapan {
                font-size: 10pt;
            }    

            .font_sembilan {
                font-size: 9pt;
            }    
            table{font-family:Arial;}
            @page{
                margin:30px;
            }
        </style>
    </head>
    <body>
        <?php
        ini_set("max_execution_time", 500);
        if (!function_exists('kekata')) {

            function kekata($x) {
                $x = abs($x);
                $angka = array("", "Satu", "Dua", "Tiga", "Empat", "Lima",
                    "Enam", "Tujuh", "Delapan", "Sembilan", "Sepuluh", "Sebelas");
                $temp = "";
                if ($x < 12) {
                    $temp = " " . $angka[$x];
                } else if ($x < 20) {
                    $temp = kekata($x - 10) . " Belas";
                } else if ($x < 100) {
                    $temp = kekata($x / 10) . " Puluh" . kekata($x % 10);
                } else if ($x < 200) {
                    $temp = " Seratus" . kekata($x - 100);
                } else if ($x < 1000) {
                    $temp = kekata($x / 100) . " Ratus" . kekata($x % 100);
                } else if ($x < 2000) {
                    $temp = " Seribu" . kekata($x - 1000);
                } else if ($x < 1000000) {
                    $temp = kekata($x / 1000) . " Ribu" . kekata($x % 1000);
                } else if ($x < 1000000000) {
                    $temp = kekata($x / 1000000) . " Juta" . kekata($x % 1000000);
                } else if ($x < 1000000000000) {
                    $temp = kekata($x / 1000000000) . " Milyar" . kekata(fmod($x, 1000000000));
                } else if ($x < 1000000000000000) {
                    $temp = kekata($x / 1000000000000) . " Trilyun" . kekata(fmod($x, 1000000000000));
                }
                return $temp;
            }

        }

        function terbilang($x, $style = 4) {
            if ($x < 0) {
                $hasil = "MINUS " . trim(kekata($x));
            } else {
                $hasil = trim(kekata($x));
            }
            switch ($style) {
                case 1:
                    $hasil = strtoupper($hasil);
                    break;
                case 2:
                    $hasil = strtolower($hasil);
                    break;
                case 3:
                    $hasil = ucwords($hasil);
                    break;
                default:
                    $hasil = ucfirst($hasil);
                    break;
            }
            return $hasil;
        }

        $abulan = ['01' => 'Januari', '02' => 'Februari', '03' => 'Maret', '04' => 'April', '05' => 'Mei', '06' => 'Juni', '07' => 'Juli', '08' => 'Agustus', '09' => 'September', '10' => 'Oktober', '11' => 'November', '12' => 'Desember'];
        $t_tglpenetapan = date('d', strtotime($data['t_tglskpdkbt'])) . " " . $abulan[date('m', strtotime($data['t_tglskpdkbt']))] . " " . date('Y', strtotime($data['t_tglskpdkbt']));
        $t_tgljatuhtempo = date('d', strtotime($data['t_tgljatuhtemposkpdkbt'])) . " " . $abulan[date('m', strtotime($data['t_tgljatuhtemposkpdkbt']))] . " " . date('Y', strtotime($data['t_tgljatuhtemposkpdkbt']));
        ?>
        <table class="border_atas border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="width: 5%;vertical-align:top;padding-top:10px;">
                    <img src="<?= $_SERVER['DOCUMENT_ROOT'] . "" . $this->basePath() . "/" . $ar_pemda->s_logo; ?>" style="width:65px;"  />
                </td>
                <td style="width: 40%;vertical-align:top;padding-top:10px;">
                <b style="font-size:10pt;">PEMERINTAH <?= strtoupper($ar_pemda->s_namakabkota) ?></b>
                    <br>
                    <b style="font-size:12pt;"><?= strtoupper($ar_pemda->s_namainstansi) ?></b>
                    <br>
                    <?= $ar_pemda->s_alamatinstansi ?> <?= $ar_pemda->s_namaibukotakabkota ?> <br>Telp/Fax <?= $ar_pemda->s_notelinstansi ?>
                </td>
                <td class="border_kiri" style="width: 40%;text-align:center;">
                    <b style="font-size:18px;">SKPDKBT</b><BR>
                    <b style="font-size:14px;">(SURAT KETETAPAN PAJAK DAERAH KURANG BAYAR TAMBAHAN)</b> <BR>
                    Masa Pajak : <?= date('d-m-Y', strtotime($data['t_masaawal'])); ?> S/D <?= date('d-m-Y', strtotime($data['t_masaakhir'])); ?>
                    <br>
                    Tahun Pajak : <?= $data['t_periodeskpdkbt']; ?><hr>
                    No. SKPDKB : <b><?= str_pad($data['t_noskpdkbt'],5,0, STR_PAD_LEFT).'/SKPDKBT/'.substr($data['t_kodebayarskpdkbt'],2,2).'/'.date('m', strtotime($data['t_tglskpdkbt'])).'/'.$data['t_periodeskpdkbt']; ?></b>
                    
                </td>
                <td class="border_kiri" style="width: 15%;text-align:center;">
                    <!-- No. SKPDKBT : <?= $data['t_noskpdkbt'] ?><br> -->
                    <b>Kode Bayar<br>
                    <?=$tampilbarcode?>
                    <?= $data['t_kodebayarskpdkbt'] ?></b>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px; width: 25%">
                    NPWPD
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-top: 10px;">
                    : <?= $data['t_npwpd'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; padding-left: 15px; border-spacing:0px;">
                    Nama
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nama'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; padding-left: 15px; border-spacing:0px;">
                    Alamat
                </td>
                <td style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamat'] . ", Kel./Desa " . $data['s_namakel'] . ", Kec. " . $data['s_namakec'] . ", Kab. " . $data['t_kabupaten'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; padding-left: 15px; border-spacing:0px;">
                    NIOP
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_nop'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; padding-left: 15px; border-spacing:0px;">
                    Nama Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_namaobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; padding-left: 15px; border-spacing:0px;">
                    Alamat Objek
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['t_alamatobjek'] . ", Kel./Desa " . $data['s_namakelobjek'] . ", Kec. " . $data['s_namakecobjek'] . ", Kab. " . $data['t_kabupatenobjek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px">
                    Tanggal Jatuh Tempo
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; padding-bottom: 10px">
                    : <b><?= $t_tgljatuhtempo ?></b>
                </td>
            </tr>
        </table>
        <table class="border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="width: 5%; padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px; vertical-align: top">
                    I.
                </td>
                <td colspan="2" style="padding:0;border-spacing:0px; padding-top: 10px;">
                    Berdasarkan Pasal 9 Undang-undang No. 18 Tahun 1997 telah dilakukan pemeriksaan atau keterangan lain atas pelaksanaan kewajiban :
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px; width: 20%">
                    Kode Rekening
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['korek'] . " || " . $data['s_namakorek'] ?>
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    Nama Pajak
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">
                    : <?= $data['s_namajenis'] ?>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%;">
            <tr>
                <td style="width: 5%; padding:0; border-spacing:0px; padding-left: 15px; padding-top: 10px; vertical-align: top">
                    II.
                </td>
                <td colspan="6" style="padding:0;border-spacing:0px; padding-top: 10px;">
                    Dari pemeriksaan atau keterangan lain tersebut diatas, penghitungan jumlah yang harus dibayar adalah sebagai berikut :
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    1. Dasar Pengenaan
                </td>
                <td style="padding:0;border-spacing:0px; width: 5%">

                </td>
                <td style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px; text-align: right; width: 5%">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_dasarrevisi'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    2. Pajak yang terhutang
                </td>
                <td style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_jmlhpajakseharusnya'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="6">
                    3. Kredit Pajak
                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;a. Setoran yang dilakukan
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_jmlhpajakseharusnyaskpdkb'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;b. Lain-lain
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right">
                    0
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;c. Kompensasi kelebihan dari tahun sebelumnya
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td class="border_bawah" style="padding:0;border-spacing:0px; text-align: right">
                    0
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;d. Jumlah pajak yang dapat dikreditkan (a+b+c)
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right">
                    <?= number_format($data['t_jmlhpajakseharusnyaskpdkb'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0;border-spacing:0px;" colspan="3">
                    4. Jumlah kekurangan pembayaran Pokok Pajak (2-3d)
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp.
                </td>
                <td class="border_bawah" style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_jmlhpajakseharusnya'] - $data['t_jmlhpajakseharusnyaskpdkb'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    5. Sanksi administrasi
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="5">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;a. Bunga (Psl 9(1))
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right">
                    <?= number_format($data['t_jmlhdendaskpdkbt'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;b. Kenaikan (Psl 9(5))
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right">
                    0
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px;" colspan="3">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px;">

                </td>
                <td style="padding:0; border-spacing:0px;">
                    &nbsp;&nbsp;&nbsp;&nbsp;c. Jumlah sanksi administrasi (a+b)
                </td>
                <td style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px;">

                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td class="border_atas" style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_jmlhdendaskpdkbt'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; text-align: right">

                </td>
            </tr>
            <tr>
                <td style="padding:0; border-spacing:0px; padding-left: 15px; padding-bottom: 10px">

                </td>
                <td style="padding:0; border-spacing:0px;" colspan="3">
                    6. Jumlah yang masih dibayarkan (4+5c)
                </td>
                <td style="padding:0;border-spacing:0px; text-align: right;">
                    Rp. 
                </td>
                <td class="border_bawah" style="padding:0;border-spacing:0px; text-align: right;">
                    <?= number_format($data['t_totalskpdkbt'], 0, ',', '.') ?>
                </td>
                <td class="border_kanan" style="padding:0;border-spacing:0px; text-align: right; padding-right: 15px;">

                </td>
            </tr>
            <tr>
                <td class="border_kanan" style="padding:0;border-spacing:0px; text-align: right;padding-bottom: 10px" colspan="7">

                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="border: 1px solid black; border-collapse: collapse" colspan="4">
                    Dengan Huruf : <i># <?= terbilang($data['t_totalskpdkbt']); ?> Rupiah #</i>
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="padding-top: 10px; padding-left: 15px" colspan="2">
                    PERHATIAN :
                </td>
            </tr>
            <tr>
                <td style="width:5%; border-spacing:0px; padding-left: 15px; vertical-align: top">
                    1.
                </td>
                <td style="padding:0; border-spacing:0px;">
                    Harap penyetoran dilakukan melalui BKP atau Kas Daerah dengan menggunakan Surat Setoran Pajak Daerah (SSPD)
                </td>
            </tr>
            <tr>
                <td style="border-spacing:0px; padding-left: 15px; padding-bottom: 10px; vertical-align: top">
                    2.
                </td>
                <td style="padding:0; border-spacing:0px; padding-bottom: 10px">
                    Apabila SKPDKBT ini tidak atau kurang dibayar setelah waktu paling lama 30 hari sejak SKPD ini diterima dikenakan sanksi administrasi
                    berupa bunga sebesar 2% per bulan.
                </td>
            </tr>
        </table>
        <table class="border_bawah border_kanan border_kiri font_delapan" style="width: 100%">
            <tr>
                <td style="width: 50%; padding-top: 10px; padding-left: 15px">

                </td>
                <td style="text-align: center; padding-top: 10px">
                    <?= $ar_pemda->s_namaibukotakabkota ?>, <?= $t_tglpenetapan ?><br>
                    a.n, Kepala <?= $ar_pemda->s_namainstansi ?><br>
                    <?= strtoupper($ar_ttd0->s_jabatanpej) ?>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <br>
                    <?= $ar_ttd0->s_namapej ?><br>
                    NIP. <?= $ar_ttd0->s_nippej ?>
                </td>
            </tr>
        </table>
    </body>
</html>

